<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		// creo una variable global
		var numeros=new Array(2,3,4,5,6,7,8,9,12,12,12,3,4,5,6,7,8);
		// funcion que rellena
		function rellena(datos){
			var cajas=document.querySelectorAll();
			for(){
				//utilizar innerHTML
			}

		}

		// funcion que se ejecuta cuando se carga la pagina
		function carga(){

		}
	</script>

</head>
<body onload="carga()">
Funcion que rellena todos los div de la pantalla con los numeros que la paso en un array.

	<div></div>
	<div></div>
	<div></div>
	<div></div>
	<div></div>
	<div></div>
	<div></div>
	<div></div>
	<div></div>
	<div></div>
</body>
</html>